[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.IntfUTF8KeyPress

Called by the interface after the navigation and specials keys are handled; i.e. after KeyDown but before KeyPress.

## Declaration

Source position: controls.pp line 2434

`public function TWinControl.IntfUTF8KeyPress(`
`var UTF8Key: TUTF8Char;`
`RepeatCount: Integer;`
`SystemKey: Boolean`
`):Boolean; virtual;`

## Arguments

`UTF8Key` |  | The UTF-8 encoding of the character.
`RepeatCount` |  | Must be greater than zero, the exact value is ignored.
`SystemKey` |  | Must be False, else nothing happens.

## Function result

True when multiple keystrokes have been processed.

## Description

Essentially expands a repeat count into multiple keystrokes. Cannot be used for SysKeys.